Skip to main content
PUT
/
api
/
agents
/
{agent_id}
{
  "system_prompt": "Updated system prompt...",
  "llm_temperature": 0.5
}
{
  "success": true,
  "message": "Agent updated successfully",
  "data": {
    "agent_id": "agent_a1b2c3d4e5f6",
    "agent_name": "Sales Rep",
    "system_prompt": "Updated system prompt...",
    "llm_temperature": 0.5,
    "updated_at": "2024-01-20T14:45:00Z"
  }
}
Update the configuration of an existing agent. Only provided fields will be updated.

Headers

X-API-Key
string
required
Your API key for authentication.
X-Organization-Id
string
required
The organization ID.
Content-Type
string
required
Must be application/json.

Path Parameters

agent_id
string
required
The unique identifier of the agent.

Permissions

  • agents:update (admin, agent_manager)

Request Body

All fields are optional. Only provided fields will be updated.
agent_name
string
The name of the agent (1-100 characters).
language
string
Primary language code.
stt_provider
string
Speech-to-Text provider.
tts_provider
string
Text-to-Speech provider.
tts_voice
string
Voice ID.
llm_provider
string
LLM provider.
llm_model
string
Model ID.
system_prompt
string
The system prompt (10-10000 characters).
speak_first
boolean
Whether the agent should speak first.
end_call_tool
boolean
Enable end call tool.
llm_temperature
number
Temperature setting (0.0-2.0).
llm_fallback_provider
string
Fallback LLM provider.
llm_fallback_model
string
Fallback LLM model.
recording_enabled
boolean
Enable call recording.
voicemail_detection
boolean
Enable AMD.
voicemail_message
string
Voicemail message.
voicemail_response_delay
number
Delay before leaving voicemail (1.0-5.0).
custom_tools
array
List of custom tool IDs (replaces existing list).
kb_document_ids
array
List of knowledge base document IDs (replaces existing list).

Response

success
boolean
Indicates if the update was successful.
message
string
Human-readable success message.
data
object
The updated agent object (AgentData).
{
  "system_prompt": "Updated system prompt...",
  "llm_temperature": 0.5
}
{
  "success": true,
  "message": "Agent updated successfully",
  "data": {
    "agent_id": "agent_a1b2c3d4e5f6",
    "agent_name": "Sales Rep",
    "system_prompt": "Updated system prompt...",
    "llm_temperature": 0.5,
    "updated_at": "2024-01-20T14:45:00Z"
  }
}